WHOAMI(1)

NAME
whoami - display the effective current username

SYNOPSIS
whoami

DESCRIPTION
whoami displays the login name corresponding to the current effective uer ID. If you have used su(1V) to temporarily adopt another user, whoami will report the login name associated with that user ID. whoami gets its information from the geteuid() and getpwuid() library routines (see getuid(2V) and getpwent(3V), respectively).

FILES
/etc/passwd
    username data base
/etc/utmp
    database of users currently logged in

SEE ALSO
su(1V), who(1), getuid(2V), getpwent(3V), utmp(5V)